Subject: bug#18372: Bug#755351: blink-cursor-mode should respect GTK+ setting by default

From: Stefan Kangas <[email-masked]>
Date: Wed, 29 Jun 2022 07:55:08 -0700

Jan Djärv <[email-masked]> writes:

> Hi.
>
> 1 sep 2014 kl. 20:42 skrev Eli Zaretskii <[email-masked]>:
>
>>> Date: Mon, 1 Sep 2014 11:24:31 -0700
>>> From: Josh Triplett <[email-masked]>
>>> Cc: [email-masked], Rob Browning <[email-masked]>,
>>>    [email-masked], [email-masked]
>>>
>>> For the simplest possible implementation, determine the desktop setting
>>> for whether the cursor should blink, and set blink-cursor-mode to that
>>> at startup; any explicit setting would then override that.
>>
>> Why should we only take blink-cursor-mode from there, and ignore all
>> the rest?  E.g., cursor-blink-time and cursor-blink-timeout.  And then
>> there are other settings, like cursor-size, clock-format, etc.  It
>> makes very little sense to take only one setting.
>
> Those that we look at had a GUI in Gnome at one point to change them. Also the
> set of settings has not been very stable. There is no GUI in current Gnome to
> change them, so they aren't really the place where a user can easily tweak
> settings.
>
> So in 99% (figure from air) of the cases these settings are never
> changed. It is not worth it to track a setting that with high
> probability will be removed or change name/place within two years.

So if we don't want to chase these settings, does it make sense to keep
this bug open?  Maybe Po Lu has any comments?